# Kao the Kangaroo US 1.5
# BID: 7BA282E94D34C620

ALL_FPS:
  # r.DynamicRes.FrameTimeBudget = (1000/FPS) cutted to 1 decimal
  -
    type: evaluate_write
    address: [MAIN, 0x71160E0, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 1)", "TruncDec(FRAMETIME_TARGET, 1)"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x71C39F0, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  # r.VSync
  -
    type: write
    address: [MAIN, 0x696CDD8, 0]
    value_type: int32
    value: [0, 0]
  -
    type: block
    what: timing
